Bug 715620 (elmer-fem) - Review Request: elmer-fem - Open Source Finite Element Software for Multiphysical Problems
Summary: Review Request: elmer-fem - Open Source Finite Element Software for Multiphys...
Status: CLOSED WONTFIX
Alias: elmer-fem
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: elmer-matc elmer-hutiter elmer-meshgen2d elmer-eio elmer-elmergrid
Blocks: elmer
TreeView+ depends on / blocked
 
Reported: 2011-06-23 14:16 UTC by Ankur Sinha (FranciscoD)
Modified: 2011-10-15 04:58 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-10-15 04:58:17 UTC


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2011-06-23 14:16:55 UTC
Spec URL: http://ankursinha.fedorapeople.org/elmer/fem/elmer-fem.spec
SRPM URL: http://ankursinha.fedorapeople.org/elmer/fem/elmer-fem-20110623-0.1svn5244.fc15.src.rpm

Description: 
Elmer is an open source multiphysical simulation software 
developed by CSC - IT Center for Science (CSC). Elmer development 
was started 1995 in collaboration with Finnish Universities, 
research institutes and industry.

Elmer includes physical models of fluid dynamics, structural 
mechanics, electromagnetics, heat transfer and acoustics, for 
example. These are described by partial differential equations 
which Elmer solves by the Finite Element Method (FEM).

These pages are intended to give information on the Elmer 
software and to improve the information transfer in the Elmer 
community.

Comment 1 Susi Lehtola 2011-06-28 21:35:53 UTC
This package depends on METIS, which is non-free.

You need to drop METIS support.

Comment 2 Ankur Sinha (FranciscoD) 2011-07-02 15:09:15 UTC
Dropped. I've rebuilt it without metis. I've mailed upstream to clarify some of the rpmlint errors (rpath and file placement etc.).

Should have a new srpm soon. Upstream is incredibly responsive :)

Thanks,
Ankur

Comment 3 Ankur Sinha (FranciscoD) 2011-10-15 04:58:17 UTC
Hi,

I'm not working on -medical related packages anymore and will not be pursuing this review ticket. If someone else wishes to take up the review, please open a new ticket. 

Thanks,
Ankur


Note You need to log in before you can comment on or make changes to this bug.